---
docs:
  -
    url: https://developer.android.com/topic/libraries/architecture/lifecycle
    title: Handling Lifecycles with Lifecycle-Aware Components
articles:
  -
    url: https://medium.com/@MinaSamy/android-architecture-components-lifecycle-433ace1ec05d
    title: "Android Architecture Components: LifeCycle"
samples:
--- |
    This artifact contains some of the base classes that implement the Jetpack
    lifecycle framework, including `Lifecycle` and `LifecycleOwner`. Frequently,
    you will not depend on this artifact directly, but instead get it through
    transitive dependencies on higher-level constructs, such as the `LiveData`
    artifacts.

    As with many pieces of the Jetpack, `Lifecycle` and related classes
    debuted with the Architecture Components. If you see blog posts and other
    materials referring to classes in the `android.arch` package, that is
    the Architecture Components. The concepts from the Architecture Components
    implementation are likely to remain the same in the newer Jetpack classes,
    but the APIs are likely to be different.